Subject: Re: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jun 2019 19:23:39 +0300

[Please use Reply to All to reply to the bug tracker as well, so this
discussion gets recorded by the tracker.]

> From: Raoul Comninos <[email-masked]>
> Date: Tue, 11 Jun 2019 20:59:24 +0200
> 
> Thank you for your response. Yes, the problem still occurs in Emacs -Q.
> 
> I did as you asked and here are the full contents of the help buffers of 
> _two_ instances:
> 
>               position: 71 of 9244927 (0%), column: 7
>              character: ְ (displayed as ְ) (codepoint 1456, #o2660, #x5b0)
>      preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x05B0
>                 script: hebrew
>                 syntax: w     which means: word
>               category: ^:Combining
>               to input: type "C-x 8 RET 5b0" or "C-x 8 RET HEBREW POINT SHEVA"
>            buffer code: #xD6 #xB0
>              file code: #xD6 #xB0 (encoded by coding system utf-8-unix)
>                display: by this font (glyph code)
>      xft:-unknown-Ezra SIL-normal-normal-normal-*-22-*-*-*-*-0-iso10646-1 (#xFE)
> 
> Character code properties: customize what to show
>    name: HEBREW POINT SHEVA
>    general-category: Mn (Mark, Nonspacing)
>    decomposition: (1456) ('ְ')
> 
> There are text properties here:
>    fontified            t
> 
> --------------------------------------------------------------------------------------------------------------
> 
>               position: 733239 of 9244928 (8%), column: 5
>              character: ׁ (displayed as ׁ) (codepoint 1473, #o2701, #x5c1)
>                charset: unicode-bmp (Unicode Basic Multilingual Plane (U+0000..U+FFFF))
> code point in charset: 0x05C1
>                 script: hebrew
>                 syntax: w     which means: word
>               category: ^:Combining
>               to input: type "C-x 8 RET 5c1" or "C-x 8 RET HEBREW POINT SHIN DOT"
>            buffer code: #xD7 #x81
>              file code: #xD7 #x81 (encoded by coding system utf-8-unix)
>                display: composed to form "ׁ" (see below)
> 
> Composed using this font:
>    xft:-unknown-Ezra SIL-normal-normal-normal-*-24-*-*-*-*-0-iso10646-1
> by these glyphs:
>    [2 2 9676 334 18 2 17 15 -1 nil]
>    [2 2 1473 271 0 13 16 20 -18 nil]
> 
> Character code properties: customize what to show
>    name: HEBREW POINT SHIN DOT
>    general-category: Mn (Mark, Nonspacing)
>    decomposition: (1473) ('ׁ')
> 
> There are text properties here:
>    fontified            t
> 
> -------------------------------------------------------------------------------------------------------

These two characters are diacriticals.  I'd also ask to please do the
same with cursor on the base character (consonant), where a problem
happens.  For example, on the LAMED from the first screenshot.

Also, can you try with a more standard font, like DejaVu Sans Mono?

And finally, do you know what version of the libm17n-flt do you have
installed?  This library is used for shaping text of scripts such as
Arabic and Hebrew.

> For your interest I also attach a few screenshots as examples.

I attach them below, since you didn't CC the bug address.